Skip to main content
POST
/
orders
/
{id}
/
shipping
Request Pickup
curl --request POST \
  --url https://api.bitbybit.studio/customer/api/open/v1/orders/{id}/shipping \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "fee": 1,
  "packageWeight": 123,
  "itemName": "<string>",
  "itemValue": 1,
  "serviceName": "<string>",
  "selectedExpedition": "<string>",
  "packageLength": 123,
  "packageWidth": 123,
  "packageHeight": 123,
  "itemQty": 2,
  "itemType": "<string>",
  "packageHandover": "PICKUP",
  "pickupSchedule": "<string>",
  "insurance": true,
  "insuranceFee": 1,
  "shippingNotes": "<string>",
  "senderName": "<string>",
  "senderPhone": "<string>",
  "senderAddress": "<string>",
  "storeLocationId": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "fee": 123,
    "shippingStatus": "<string>",
    "awb": "<string>",
    "trackingUrl": "<string>",
    "driverName": "<string>",
    "driverPhone": "<string>",
    "pickupSchedule": "2023-11-07T05:31:56Z",
    "shippingNotes": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

id
string
required

Order ID — the unique identifier of the order.

Body

application/json
courier
enum<string>
required
Available options:
ride_blitz,
gosend,
kirimin_aja
name
string
required

Display name for this shipping method (e.g. "GoSend Instant").

fee
number
required

Shipping fee to record on the order.

Required range: x >= 0
packageWeight
number
required

Package weight in kilograms.

itemName
string
required
itemValue
number
required
Required range: x >= 0
serviceName
string

Courier service name (e.g. "REG23", "INSTANT").

serviceType
enum<string>
Available options:
INSTANT,
EXPRESS
selectedExpedition
string

Selected expedition for KiriminAja Express (e.g. "jne-REG23").

packageLength
number
packageWidth
number
packageHeight
number
itemQty
integer
Required range: x >= 1
itemType
string
packageHandover
enum<string>
default:PICKUP
Available options:
PICKUP,
DROPOFF
pickupSchedule
string

Scheduled pickup time, in YYYY-MM-DD HH:mm:ss or ISO 8601 format.

vehicleType
enum<string>
Available options:
TWO_WHEEL,
FOUR_WHEEL
insurance
boolean
insuranceFee
number
Required range: x >= 0
shippingNotes
string
Maximum string length: 500
senderName
string
senderPhone
string
senderAddress
string
storeLocationId
string

Optional store location to use as the pickup origin.

Response

Shipping booked successfully

data
object

Summary view of an order's shipping method, returned by the shipping action endpoints.